std::__parallel::_CRandNumber< _MustBeInt >(3cxx)

NAME
std::__parallel::_CRandNumber< _MustBeInt > - Functor wrapper for std::rand().

SYNOPSIS

#include <algo.h>

  Public Member Functions

int operator() (int __limit)

Detailed Description

  template<typename _MustBeInt = int>
struct std::__parallel::_CRandNumber< _MustBeInt >"Functor wrapper for std::rand().

Definition at line 1529 of file algo.h.

Member Function Documentation

  template<typename _MustBeInt = int> int std::__parallel::_CRandNumber< _MustBeInt >::operator() (int __limit) [inline]

Definition at line 1532 of file algo.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.